Extending Qt Creator Manual | SearchResultWidget

Extending Qt Creator Manual 4.7.1

# SearchResultWidget Class

(Core::Internal::SearchResultWidget)

- List of all members, including inherited members

## Public Functions

void | cancelled()
void | navigateStateChanged()
void | paused(bool paused)
void | replaceButtonClicked(const int &replaceText, const int &checkedItems, bool preserveCase)
void | requestPopup(bool focus)
void | restarted()
void | searchAgainRequested()
void | sendRequestPopup()
void | visibilityChanged(bool visible)

## Member Function Documentation

### void SearchResultWidget::cancelled()

### void SearchResultWidget::navigateStateChanged()

### void SearchResultWidget::paused(bool paused)

### void SearchResultWidget::replaceButtonClicked(const int &replaceText, const int &checkedItems, bool preserveCase)

### void SearchResultWidget::requestPopup(bool focus)

### void SearchResultWidget::restarted()

### void SearchResultWidget::searchAgainRequested()

### void SearchResultWidget::sendRequestPopup()

### void SearchResultWidget::visibilityChanged(bool visible)